// This file is a part of the Framsticks GenoFX library.
// Copyright (C) 2002-2011  Maciej Komosinski.  See LICENSE.txt for details.
// Refer to http://www.framsticks.com/ for further information.

#ifndef _GENO_FTEST_H_
#define _GENO_FTEST_H_

#include "param.h"
#include "sstring.h"
#include "geno_fx.h"

/** \file */

///A sample class for genetic operations on DNA-like genotypes
/**
\author Maciej Komosinski

This is a very simple class to illustrate basic genetic operations.
To compile this code, you may need some GDK files.
For a more sophisticated example of Geno_f4 derived from Geno_fx, refer to
the available source on developmental encoding and f4 genotype format.

\sa \ref geno_ftest_example
*/      

class Geno_ftest : public Geno_fx
{
 public:
   Geno_ftest();
   int checkValidity(const char *);
   int validate(char *&);
   int mutate(char *&g,float& chg);
   int crossOver(char *&g1,char *&g2,float& chg1,float& chg2);
   unsigned long style(const char *g, int pos);
   char* getSimplest() {return "GTTCAGATC";}

   double prob;
};

#endif

